=== modified file 'README'
--- README	2017-08-02 14:06:36 +0000
+++ README	2017-08-17 11:10:50 +0000
@@ -0,0 +1,74 @@
+==__  __==========_____=========================================================
+ |  \/  |   /\   / ____|
+ | \  / |  /  \ | |  __
+ | |\/| | / /\ \| | |_ |
+ | |  | |/ ____ \ |__| |
+ |_|__|_/_/    \_\_____|            _     _____           _        _ 
+  / ____| |           | |          | |   |  __ \         | |      | |
+ | (___ | |_ _   _  __| | ___ _ __ | |_  | |__) |__  _ __| |_ __ _| |
+  \___ \| __| | | |/ _` |/ _ \ '_ \| __| |  ___/ _ \| '__| __/ _` | |
+  ____) | |_| |_| | (_| |  __/ | | | |_  | |  | (_) | |  | || (_| | |
+ |_____/ \__|\__,_|\__,_|\___|_| |_|\__| |_|   \___/|_|   \__\__,_|_|
+================================================================================
+Mahmood & Amir & Gustav Student Portal
+================================================================================
+
+Authors:
+Gustav Hartvigsson
+
+INDEX --------------------------------------------------------------------------
+
+* General Information
+* Setup
+* Initialising Database
+
+
+General Information ------------------------------------------------------------
+
+TODO
+
+Setup --------------------------------------------------------------------------
+
+TODO
+
+Initialising Database ----------------------------------------------------------
+
+  Here follows a description of how to initialise the database in different
+different database engines/managers/thingies.
+
+  The .sql files are located in ./src/main/resources/
+
+Initialising Database: PostreSQL -----------------------------------------------
+
+  In postgres you need to start psql from the terminal:
+$ psql -U <username> -a -f ./src/main/resources/create_db.sql
+  If the your database username is "postgres", you should use that. press enter
+and enter the password fot the database user.
+
+  you should be something like this if it has been created correctly:
+---------- snip ----------
+Password for user postgres:
+/*
+  This should be used to create the database.
+
+  How to do this depends on the DB.
+*/
+
+CREATE DATABASE mag_studentportal
+      ENCODING = 'UTF8'
+      CONNECTION LIMIT = -1;
+CREATE DATABASE
+---------- end snip ----------
+
+  Now that you have created the database you need to initialise the tables, to
+do this you need to run the following:
+$ psql -U <username> -d mag_studentportal \
+  -a -f ./src/main/resources/create_tables.sql
+  That should run without any errors.
+
+  Congratulations! The database is now initialised!
+
+  
+Initialising Database: MariaDB/MySql -------------------------------------------
+
+TODO
\ No newline at end of file

=== modified file 'pom.xml'
--- pom.xml	2017-08-09 13:08:37 +0000
+++ pom.xml	2017-08-17 11:10:50 +0000
@@ -1,56 +1,63 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-    <modelVersion>4.0.0</modelVersion>
-    <groupId>com.example.mag</groupId>
-    <artifactId>mag-student-portal</artifactId>
-    <packaging>war</packaging>
-    <name>MAG - Student Portal</name>
-    <version>1.1.0-SNAPSHOT</version>
-
-    <properties>
-        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
-    </properties>
-    <build>
-        <finalName>${project.artifactId}-${project.version}</finalName> <!-- Change -->
-        <plugins>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-compiler-plugin</artifactId>
-                <version>3.1</version>
-                <configuration>
-                    <source>1.8</source>
-                    <target>1.8</target>
-                </configuration>
-            </plugin>
-
-        </plugins>
-    </build>
-
-
-    <dependencies>
-        <!-- https://mvnrepository.com/artifact/javax/javaee-api -->
-        <dependency>
-            <groupId>javax</groupId>
-            <artifactId>javaee-api</artifactId>
-            <version>7.0</version>
-        </dependency>
-        <!-- https://mvnrepository.com/artifact/org.eclipse.persistence/org.eclipse.persistence.jpa -->
-        <dependency>
-            <groupId>org.eclipse.persistence</groupId>
-            <artifactId>org.eclipse.persistence.jpa</artifactId>
-            <version>2.6.4</version>
-        </dependency>
-
-        <!-- https://mvnrepository.com/artifact/org.primefaces/primefaces -->
-        <dependency>
-            <groupId>org.primefaces</groupId>
-            <artifactId>primefaces</artifactId>
-            <version>6.1</version>
-        </dependency>
-
-
-    </dependencies>
+  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <groupId>com.example.mag</groupId>
+  <artifactId>mag-student-portal</artifactId>
+  <packaging>war</packaging>
+  <name>MAG - Student Portal</name>
+  <version>1.1.0-SNAPSHOT</version>
+
+  <properties>
+    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+  </properties>
+  <build>
+    <finalName>${project.artifactId}-${project.version}</finalName> <!-- Change -->
+    <plugins>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-compiler-plugin</artifactId>
+        <version>3.1</version>
+        <configuration>
+          <source>1.8</source>
+          <target>1.8</target>
+        </configuration>
+      </plugin>
+
+    </plugins>
+  </build>
+
+
+  <dependencies>
+    <!-- https://mvnrepository.com/artifact/javax/javaee-api -->
+    <dependency>
+      <groupId>javax</groupId>
+      <artifactId>javaee-api</artifactId>
+      <version>7.0</version>
+    </dependency>
+
+    <!-- https://mvnrepository.com/artifact/org.eclipse.persistence/org.eclipse.persistence.jpa -->
+    <dependency>
+      <groupId>org.eclipse.persistence</groupId>
+      <artifactId>org.eclipse.persistence.jpa</artifactId>
+      <version>2.6.4</version>
+    </dependency>
+
+    <!-- https://mvnrepository.com/artifact/org.primefaces/primefaces -->
+    <dependency>
+      <groupId>org.primefaces</groupId>
+      <artifactId>primefaces</artifactId>
+      <version>6.1</version>
+    </dependency>
+
+    <!-- https://mvnrepository.com/artifact/org.postgresql/postgresql -->
+    <dependency>
+      <groupId>org.postgresql</groupId>
+      <artifactId>postgresql</artifactId>
+      <version>42.1.4</version>
+    </dependency>
+
+  </dependencies>
 
 </project>

=== modified file 'src/main/java/DB/Course.java'
--- src/main/java/DB/Course.java	2017-08-04 12:42:36 +0000
+++ src/main/java/DB/Course.java	2017-08-17 11:10:50 +0000
@@ -1,55 +1,82 @@
 package DB;
 
-import javax.persistence.Column;
-import javax.persistence.Entity;
-import javax.persistence.GeneratedValue;
-import javax.persistence.Id;
-import javax.validation.constraints.NotNull;
 import java.io.Serializable;
-import java.util.UUID;
-
+import javax.persistence.*;
+import java.util.List;
+
+
+/**
+ * The persistent class for the course database table.
+ * 
+ */
 @Entity
+@Table(name="course")
+@NamedQuery(name="Course.findAll", query="SELECT c FROM Course c")
 public class Course implements Serializable {
-
-  @Id
-  @GeneratedValue
-  public UUID id;
-
-  @NotNull
-  @Column (name = "name", length = 50)
-  public String name;
-
-  @NotNull
-  @Column (columnDefinition = "TEXT", name = "description")
-  private String description;
-
-  public UUID
-  getId () {
-    return id;
-  }
-
-  public void
-  setId (UUID id) {
-    this.id = id;
-  }
-
-  public String
-  getName () {
-    return name;
-  }
-
-  public void
-  setName (String name) {
-    this.name = name;
-  }
-
-  public String
-  getDescription () {
-    return description;
-  }
-
-  public void
-  setDescription (String description) {
-    this.description = description;
-  }
-}
+	private static final long serialVersionUID = 1L;
+	private Integer id;
+	private String description;
+	private String name;
+	private List<Lecture> lectures;
+
+	public Course() {
+	}
+
+
+	@Id
+	@GeneratedValue(strategy=GenerationType.AUTO)
+	@Column(unique=true, nullable=false)
+	public Integer getId() {
+		return this.id;
+	}
+
+	public void setId(Integer id) {
+		this.id = id;
+	}
+
+
+	@Column(length=2147483647)
+	public String getDescription() {
+		return this.description;
+	}
+
+	public void setDescription(String description) {
+		this.description = description;
+	}
+
+
+	@Column(length=30)
+	public String getName() {
+		return this.name;
+	}
+
+	public void setName(String name) {
+		this.name = name;
+	}
+
+
+	//bi-directional many-to-one association to Lecture
+	@OneToMany(mappedBy="courseBean")
+	public List<Lecture> getLectures() {
+		return this.lectures;
+	}
+
+	public void setLectures(List<Lecture> lectures) {
+		this.lectures = lectures;
+	}
+
+	public Lecture addLecture(Lecture lecture) {
+		getLectures().add(lecture);
+		lecture.setCourseBean(this);
+
+		return lecture;
+	}
+
+	public Lecture removeLecture(Lecture lecture) {
+		getLectures().remove(lecture);
+		lecture.setCourseBean(null);
+
+		return lecture;
+	}
+
+}
\ No newline at end of file

=== added file 'src/main/java/DB/Lecture.java'
--- src/main/java/DB/Lecture.java	1970-01-01 00:00:00 +0000
+++ src/main/java/DB/Lecture.java	2017-08-17 11:10:50 +0000
@@ -0,0 +1,71 @@
+package DB;
+
+import java.io.Serializable;
+import javax.persistence.*;
+import java.util.List;
+
+
+/**
+ * The persistent class for the lecture database table.
+ * 
+ */
+@Entity
+@Table(name="lecture")
+@NamedQuery(name="Lecture.findAll", query="SELECT l FROM Lecture l")
+public class Lecture implements Serializable {
+	private static final long serialVersionUID = 1L;
+	private LecturePK id;
+	private Course courseBean;
+	private List<StudentAttendance> studentAttendances;
+
+	public Lecture() {
+	}
+
+
+	@EmbeddedId
+	public LecturePK getId() {
+		return this.id;
+	}
+
+	public void setId(LecturePK id) {
+		this.id = id;
+	}
+
+
+	//bi-directional many-to-one association to Course
+	@ManyToOne
+	@JoinColumn(name="course", nullable=false, insertable=false, updatable=false)
+	public Course getCourseBean() {
+		return this.courseBean;
+	}
+
+	public void setCourseBean(Course courseBean) {
+		this.courseBean = courseBean;
+	}
+
+
+	//bi-directional many-to-one association to StudentAttendance
+	@OneToMany(mappedBy="lecture")
+	public List<StudentAttendance> getStudentAttendances() {
+		return this.studentAttendances;
+	}
+
+	public void setStudentAttendances(List<StudentAttendance> studentAttendances) {
+		this.studentAttendances = studentAttendances;
+	}
+
+	public StudentAttendance addStudentAttendance(StudentAttendance studentAttendance) {
+		getStudentAttendances().add(studentAttendance);
+		studentAttendance.setLecture(this);
+
+		return studentAttendance;
+	}
+
+	public StudentAttendance removeStudentAttendance(StudentAttendance studentAttendance) {
+		getStudentAttendances().remove(studentAttendance);
+		studentAttendance.setLecture(null);
+
+		return studentAttendance;
+	}
+
+}
\ No newline at end of file

=== added file 'src/main/java/DB/LecturePK.java'
--- src/main/java/DB/LecturePK.java	1970-01-01 00:00:00 +0000
+++ src/main/java/DB/LecturePK.java	2017-08-17 11:10:50 +0000
@@ -0,0 +1,70 @@
+package DB;
+
+import java.io.Serializable;
+import javax.persistence.*;
+
+/**
+ * The primary key class for the lecture database table.
+ * 
+ */
+@Embeddable
+public class LecturePK implements Serializable {
+	//default serial version id, required for serializable classes.
+	private static final long serialVersionUID = 1L;
+	private Long course;
+	private java.util.Date startTime;
+	private java.util.Date endTime;
+
+	public LecturePK() {
+	}
+
+	@Column(insertable=false, updatable=false, unique=true, nullable=false)
+	public Long getCourse() {
+		return this.course;
+	}
+	public void setCourse(Long course) {
+		this.course = course;
+	}
+
+	@Temporal(TemporalType.TIMESTAMP)
+	@Column(name="start_time", unique=true, nullable=false)
+	public java.util.Date getStartTime() {
+		return this.startTime;
+	}
+	public void setStartTime(java.util.Date startTime) {
+		this.startTime = startTime;
+	}
+
+	@Temporal(TemporalType.TIMESTAMP)
+	@Column(name="end_time", unique=true, nullable=false)
+	public java.util.Date getEndTime() {
+		return this.endTime;
+	}
+	public void setEndTime(java.util.Date endTime) {
+		this.endTime = endTime;
+	}
+
+	public boolean equals(Object other) {
+		if (this == other) {
+			return true;
+		}
+		if (!(other instanceof LecturePK)) {
+			return false;
+		}
+		LecturePK castOther = (LecturePK)other;
+		return 
+			this.course.equals(castOther.course)
+			&& this.startTime.equals(castOther.startTime)
+			&& this.endTime.equals(castOther.endTime);
+	}
+
+	public int hashCode() {
+		final int prime = 31;
+		int hash = 17;
+		hash = hash * prime + this.course.hashCode();
+		hash = hash * prime + this.startTime.hashCode();
+		hash = hash * prime + this.endTime.hashCode();
+		
+		return hash;
+	}
+}
\ No newline at end of file

=== added file 'src/main/java/DB/Staff.java'
--- src/main/java/DB/Staff.java	1970-01-01 00:00:00 +0000
+++ src/main/java/DB/Staff.java	2017-08-17 11:10:50 +0000
@@ -0,0 +1,90 @@
+package DB;
+
+import java.io.Serializable;
+import javax.persistence.*;
+
+
+/**
+ * The persistent class for the staff database table.
+ * 
+ */
+@Entity
+@Table(name="staff")
+@NamedQuery(name="Staff.findAll", query="SELECT s FROM Staff s")
+public class Staff implements Serializable {
+	private static final long serialVersionUID = 1L;
+	private Integer id;
+	private String nameFirst;
+	private String nameLast;
+	private String pwd;
+	private String userName;
+	private StaffType staffTypeBean;
+
+	public Staff() {
+	}
+
+
+	@Id
+	@GeneratedValue(strategy=GenerationType.AUTO)
+	@Column(unique=true, nullable=false)
+	public Integer getId() {
+		return this.id;
+	}
+
+	public void setId(Integer id) {
+		this.id = id;
+	}
+
+
+	@Column(name="name_first", nullable=false, length=32)
+	public String getNameFirst() {
+		return this.nameFirst;
+	}
+
+	public void setNameFirst(String nameFirst) {
+		this.nameFirst = nameFirst;
+	}
+
+
+	@Column(name="name_last", nullable=false, length=32)
+	public String getNameLast() {
+		return this.nameLast;
+	}
+
+	public void setNameLast(String nameLast) {
+		this.nameLast = nameLast;
+	}
+
+
+	@Column(nullable=false, length=256)
+	public String getPwd() {
+		return this.pwd;
+	}
+
+	public void setPwd(String pwd) {
+		this.pwd = pwd;
+	}
+
+
+	@Column(name="user_name", nullable=false, length=32)
+	public String getUserName() {
+		return this.userName;
+	}
+
+	public void setUserName(String userName) {
+		this.userName = userName;
+	}
+
+
+	//bi-directional many-to-one association to StaffType
+	@ManyToOne
+	@JoinColumn(name="staff_type")
+	public StaffType getStaffTypeBean() {
+		return this.staffTypeBean;
+	}
+
+	public void setStaffTypeBean(StaffType staffTypeBean) {
+		this.staffTypeBean = staffTypeBean;
+	}
+
+}
\ No newline at end of file

=== added file 'src/main/java/DB/StaffType.java'
--- src/main/java/DB/StaffType.java	1970-01-01 00:00:00 +0000
+++ src/main/java/DB/StaffType.java	2017-08-17 11:10:50 +0000
@@ -0,0 +1,71 @@
+package DB;
+
+import java.io.Serializable;
+import javax.persistence.*;
+import java.util.List;
+
+
+/**
+ * The persistent class for the staff_type database table.
+ * 
+ */
+@Entity
+@Table(name="staff_type")
+@NamedQuery(name="StaffType.findAll", query="SELECT s FROM StaffType s")
+public class StaffType implements Serializable {
+	private static final long serialVersionUID = 1L;
+	private Integer id;
+	private String name;
+	private List<Staff> staffs;
+
+	public StaffType() {
+	}
+
+
+	@Id
+	@GeneratedValue(strategy=GenerationType.AUTO)
+	@Column(unique=true, nullable=false)
+	public Integer getId() {
+		return this.id;
+	}
+
+	public void setId(Integer id) {
+		this.id = id;
+	}
+
+
+	@Column(length=32)
+	public String getName() {
+		return this.name;
+	}
+
+	public void setName(String name) {
+		this.name = name;
+	}
+
+
+	//bi-directional many-to-one association to Staff
+	@OneToMany(mappedBy="staffTypeBean")
+	public List<Staff> getStaffs() {
+		return this.staffs;
+	}
+
+	public void setStaffs(List<Staff> staffs) {
+		this.staffs = staffs;
+	}
+
+	public Staff addStaff(Staff staff) {
+		getStaffs().add(staff);
+		staff.setStaffTypeBean(this);
+
+		return staff;
+	}
+
+	public Staff removeStaff(Staff staff) {
+		getStaffs().remove(staff);
+		staff.setStaffTypeBean(null);
+
+		return staff;
+	}
+
+}
\ No newline at end of file

=== modified file 'src/main/java/DB/Student.java'
--- src/main/java/DB/Student.java	2017-08-04 12:42:36 +0000
+++ src/main/java/DB/Student.java	2017-08-17 11:10:50 +0000
@@ -1,128 +1,115 @@
 package DB;
 
-import org.eclipse.persistence.jpa.config.UuidGenerator;
-
-import javax.annotation.Generated;
-import javax.persistence.Entity;
-import javax.persistence.GeneratedValue;
-import javax.persistence.Id;
-import javax.persistence.UniqueConstraint;
-import javax.validation.constraints.NotNull;
 import java.io.Serializable;
-import java.math.BigInteger;
-import java.sql.Date;
-import java.util.UUID;
-
+import javax.persistence.*;
+import java.util.List;
+
+
+/**
+ * The persistent class for the student database table.
+ * 
+ */
 @Entity
+@Table(name="student")
+@NamedQuery(name="Student.findAll", query="SELECT s FROM Student s")
 public class Student implements Serializable {
-
-  @Id
-  @GeneratedValue
-  private UUID id;
-
-  @NotNull
-  protected String firstName, lastName;
-
-
-  protected String city, street, postCode, houseNumber, apartmentNumber;
-
-  @NotNull
-  protected Date dateOfBirth;
-
-  public String
-  getFullName () {
-    return firstName + " " + lastName;
-  }
-
-  public void
-  setId (UUID id) {
-    this.id = id;
-  }
-
-  public String
-  getCity () {
-    return city;
-  }
-
-  public void
-  setCity (String city) {
-    this.city = city;
-  }
-
-  public String
-  getStreet () {
-    return street;
-  }
-
-  public void
-  setStreet (String street) {
-    this.street = street;
-  }
-
-  public String
-  getPostCode () {
-    return postCode;
-  }
-
-  public void
-  setPostCode (String postCode) {
-    this.postCode = postCode;
-  }
-
-  public String
-  getHouseNumber () {
-    return houseNumber;
-  }
-
-  public void
-  setHouseNumber (String houseNumber) {
-    this.houseNumber = houseNumber;
-  }
-
-  public String
-  getApartmentNumber () {
-    return apartmentNumber;
-  }
-
-  public void
-  setApartmentNumber (String apartmentNumber) {
-    this.apartmentNumber = apartmentNumber;
-  }
-
-  public Date
-  getDateOfBirth () {
-    return dateOfBirth;
-  }
-
-  public void
-  setDateOfBirth (Date dateOfBirth) {
-    this.dateOfBirth = dateOfBirth;
-  }
-
-  public UUID
-  getId () {
-    return id;
-  }
-
-  public String
-  getFirstName () {
-    return firstName;
-  }
-
-  public String
-  getLastName () {
-    return lastName;
-  }
-
-  public void
-  setFirstName (String firstName) {
-    this.firstName = firstName;
-  }
-
-  public void
-  setLastName (String lastName) {
-    this.lastName = lastName;
-  }
-
-
-}
+	private static final long serialVersionUID = 1L;
+	private Integer id;
+	private String class_;
+	private String nameFirst;
+	private String nameLast;
+	private String pwd;
+	private String userName;
+	private List<StudentAttendance> studentAttendances;
+
+	public Student() {
+	}
+
+
+	@Id
+	@GeneratedValue(strategy=GenerationType.AUTO)
+	@Column(unique=true, nullable=false)
+	public Integer getId() {
+		return this.id;
+	}
+
+	public void setId(Integer id) {
+		this.id = id;
+	}
+
+
+	@Column(name="class", length=32)
+	public String getClass_() {
+		return this.class_;
+	}
+
+	public void setClass_(String class_) {
+		this.class_ = class_;
+	}
+
+
+	@Column(name="name_first", nullable=false, length=32)
+	public String getNameFirst() {
+		return this.nameFirst;
+	}
+
+	public void setNameFirst(String nameFirst) {
+		this.nameFirst = nameFirst;
+	}
+
+
+	@Column(name="name_last", nullable=false, length=32)
+	public String getNameLast() {
+		return this.nameLast;
+	}
+
+	public void setNameLast(String nameLast) {
+		this.nameLast = nameLast;
+	}
+
+
+	@Column(nullable=false, length=256)
+	public String getPwd() {
+		return this.pwd;
+	}
+
+	public void setPwd(String pwd) {
+		this.pwd = pwd;
+	}
+
+
+	@Column(name="user_name", nullable=false, length=32)
+	public String getUserName() {
+		return this.userName;
+	}
+
+	public void setUserName(String userName) {
+		this.userName = userName;
+	}
+
+
+	//bi-directional many-to-one association to StudentAttendance
+	@OneToMany(mappedBy="studentBean")
+	public List<StudentAttendance> getStudentAttendances() {
+		return this.studentAttendances;
+	}
+
+	public void setStudentAttendances(List<StudentAttendance> studentAttendances) {
+		this.studentAttendances = studentAttendances;
+	}
+
+	public StudentAttendance addStudentAttendance(StudentAttendance studentAttendance) {
+		getStudentAttendances().add(studentAttendance);
+		studentAttendance.setStudentBean(this);
+
+		return studentAttendance;
+	}
+
+	public StudentAttendance removeStudentAttendance(StudentAttendance studentAttendance) {
+		getStudentAttendances().remove(studentAttendance);
+		studentAttendance.setStudentBean(null);
+
+		return studentAttendance;
+	}
+
+}
\ No newline at end of file

=== added file 'src/main/java/DB/StudentAttendance.java'
--- src/main/java/DB/StudentAttendance.java	1970-01-01 00:00:00 +0000
+++ src/main/java/DB/StudentAttendance.java	2017-08-17 11:10:50 +0000
@@ -0,0 +1,72 @@
+package DB;
+
+import java.io.Serializable;
+import javax.persistence.*;
+
+
+/**
+ * The persistent class for the student_attendance database table.
+ * 
+ */
+@Entity
+@Table(name="student_attendance")
+@NamedQuery(name="StudentAttendance.findAll", query="SELECT s FROM StudentAttendance s")
+public class StudentAttendance implements Serializable {
+	private static final long serialVersionUID = 1L;
+	private StudentAttendancePK id;
+	private Integer lateTime;
+	private Lecture lecture;
+	private Student studentBean;
+
+	public StudentAttendance() {
+	}
+
+
+	@EmbeddedId
+	public StudentAttendancePK getId() {
+		return this.id;
+	}
+
+	public void setId(StudentAttendancePK id) {
+		this.id = id;
+	}
+
+
+	@Column(name="late_time")
+	public Integer getLateTime() {
+		return this.lateTime;
+	}
+
+	public void setLateTime(Integer lateTime) {
+		this.lateTime = lateTime;
+	}
+
+
+	//bi-directional many-to-one association to Lecture
+	@ManyToOne
+	@JoinColumns({
+		@JoinColumn(name="lecture_course", referencedColumnName="course", nullable=false, insertable=false, updatable=false),
+		@JoinColumn(name="lecture_end_time", referencedColumnName="end_time", nullable=false, insertable=false, updatable=false),
+		@JoinColumn(name="lecture_start_time", referencedColumnName="start_time", nullable=false, insertable=false, updatable=false)
+		})
+	public Lecture getLecture() {
+		return this.lecture;
+	}
+
+	public void setLecture(Lecture lecture) {
+		this.lecture = lecture;
+	}
+
+
+	//bi-directional many-to-one association to Student
+	@ManyToOne
+	@JoinColumn(name="student", nullable=false, insertable=false, updatable=false)
+	public Student getStudentBean() {
+		return this.studentBean;
+	}
+
+	public void setStudentBean(Student studentBean) {
+		this.studentBean = studentBean;
+	}
+
+}
\ No newline at end of file

=== added file 'src/main/java/DB/StudentAttendancePK.java'
--- src/main/java/DB/StudentAttendancePK.java	1970-01-01 00:00:00 +0000
+++ src/main/java/DB/StudentAttendancePK.java	2017-08-17 11:10:50 +0000
@@ -0,0 +1,81 @@
+package DB;
+
+import java.io.Serializable;
+import javax.persistence.*;
+
+/**
+ * The primary key class for the student_attendance database table.
+ * 
+ */
+@Embeddable
+public class StudentAttendancePK implements Serializable {
+	//default serial version id, required for serializable classes.
+	private static final long serialVersionUID = 1L;
+	private Long lectureCourse;
+	private java.util.Date lectureStartTime;
+	private java.util.Date lectureEndTime;
+	private Long student;
+
+	public StudentAttendancePK() {
+	}
+
+	@Column(name="lecture_course", insertable=false, updatable=false, unique=true, nullable=false)
+	public Long getLectureCourse() {
+		return this.lectureCourse;
+	}
+	public void setLectureCourse(Long lectureCourse) {
+		this.lectureCourse = lectureCourse;
+	}
+
+	@Temporal(TemporalType.TIMESTAMP)
+	@Column(name="lecture_start_time", insertable=false, updatable=false, unique=true, nullable=false)
+	public java.util.Date getLectureStartTime() {
+		return this.lectureStartTime;
+	}
+	public void setLectureStartTime(java.util.Date lectureStartTime) {
+		this.lectureStartTime = lectureStartTime;
+	}
+
+	@Temporal(TemporalType.TIMESTAMP)
+	@Column(name="lecture_end_time", insertable=false, updatable=false, unique=true, nullable=false)
+	public java.util.Date getLectureEndTime() {
+		return this.lectureEndTime;
+	}
+	public void setLectureEndTime(java.util.Date lectureEndTime) {
+		this.lectureEndTime = lectureEndTime;
+	}
+
+	@Column(insertable=false, updatable=false, unique=true, nullable=false)
+	public Long getStudent() {
+		return this.student;
+	}
+	public void setStudent(Long student) {
+		this.student = student;
+	}
+
+	public boolean equals(Object other) {
+		if (this == other) {
+			return true;
+		}
+		if (!(other instanceof StudentAttendancePK)) {
+			return false;
+		}
+		StudentAttendancePK castOther = (StudentAttendancePK)other;
+		return 
+			this.lectureCourse.equals(castOther.lectureCourse)
+			&& this.lectureStartTime.equals(castOther.lectureStartTime)
+			&& this.lectureEndTime.equals(castOther.lectureEndTime)
+			&& this.student.equals(castOther.student);
+	}
+
+	public int hashCode() {
+		final int prime = 31;
+		int hash = 17;
+		hash = hash * prime + this.lectureCourse.hashCode();
+		hash = hash * prime + this.lectureStartTime.hashCode();
+		hash = hash * prime + this.lectureEndTime.hashCode();
+		hash = hash * prime + this.student.hashCode();
+		
+		return hash;
+	}
+}
\ No newline at end of file

=== added file 'src/main/java/DB/Teach.java'
--- src/main/java/DB/Teach.java	1970-01-01 00:00:00 +0000
+++ src/main/java/DB/Teach.java	2017-08-17 11:10:50 +0000
@@ -0,0 +1,31 @@
+package DB;
+
+import java.io.Serializable;
+import javax.persistence.*;
+
+
+/**
+ * The persistent class for the teaches database table.
+ * 
+ */
+@Entity
+@Table(name="teaches")
+@NamedQuery(name="Teach.findAll", query="SELECT t FROM Teach t")
+public class Teach implements Serializable {
+	private static final long serialVersionUID = 1L;
+	private TeachPK id;
+
+	public Teach() {
+	}
+
+
+	@EmbeddedId
+	public TeachPK getId() {
+		return this.id;
+	}
+
+	public void setId(TeachPK id) {
+		this.id = id;
+	}
+
+}
\ No newline at end of file

=== added file 'src/main/java/DB/TeachPK.java'
--- src/main/java/DB/TeachPK.java	1970-01-01 00:00:00 +0000
+++ src/main/java/DB/TeachPK.java	2017-08-17 11:10:50 +0000
@@ -0,0 +1,57 @@
+package DB;
+
+import java.io.Serializable;
+import javax.persistence.*;
+
+/**
+ * The primary key class for the teaches database table.
+ * 
+ */
+@Embeddable
+public class TeachPK implements Serializable {
+	//default serial version id, required for serializable classes.
+	private static final long serialVersionUID = 1L;
+	private Long course;
+	private Long staff;
+
+	public TeachPK() {
+	}
+
+	@Column(insertable=false, updatable=false, unique=true, nullable=false)
+	public Long getCourse() {
+		return this.course;
+	}
+	public void setCourse(Long course) {
+		this.course = course;
+	}
+
+	@Column(insertable=false, updatable=false, unique=true, nullable=false)
+	public Long getStaff() {
+		return this.staff;
+	}
+	public void setStaff(Long staff) {
+		this.staff = staff;
+	}
+
+	public boolean equals(Object other) {
+		if (this == other) {
+			return true;
+		}
+		if (!(other instanceof TeachPK)) {
+			return false;
+		}
+		TeachPK castOther = (TeachPK)other;
+		return 
+			this.course.equals(castOther.course)
+			&& this.staff.equals(castOther.staff);
+	}
+
+	public int hashCode() {
+		final int prime = 31;
+		int hash = 17;
+		hash = hash * prime + this.course.hashCode();
+		hash = hash * prime + this.staff.hashCode();
+		
+		return hash;
+	}
+}
\ No newline at end of file

=== modified file 'src/main/resources/create_tables.sql'
--- src/main/resources/create_tables.sql	2017-08-15 07:42:18 +0000
+++ src/main/resources/create_tables.sql	2017-08-15 08:05:41 +0000
@@ -103,7 +103,7 @@
 
   student                 BIGINT NOT NULL,
 
-  late_time               TIMEZONE_MINUTE,
+  late_time               INTEGER,
 
   CONSTRAINT lecture_fk   FOREIGN KEY (lecture_course,
                                       lecture_start_time,

